API referenceEndpointsContactsId
Update a contact
Updates a contact's name, properties or unsubscribed flag.
Authorization
apiKey AuthorizationBearer <token>
An API key from the dashboard (ms_…), sent as Authorization: Bearer. A sending-only key reaches the /emails routes only.
In: header
Path Parameters
id*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/contacts/string" \ -H "Content-Type: application/json" \ -d '{ "first_name": "Ana", "unsubscribed": false, "properties": { "plan": "pro" } }'{ "object": "contact", "id": "ae2014de-c168-4c61-8267-70d2662a1ce1"}